Download it now!
Bug 120787 - KDE5: Undocked toolbars are displayed on top of dialogs/slideshow
Summary: KDE5: Undocked toolbars are displayed on top of dialogs/slideshow
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: high major
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords:
: 120792 (view as bug list)
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-22 12:17 UTC by Xisco Faulí
Modified: 2019-03-12 20:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (40.56 KB, image/png)
2018-10-22 12:17 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-22 12:17:50 UTC
Created attachment 145902 [details]
screenshot

Steps to reproduce:
1. Open writer
2. Undock any toolbar ( e.g. Standar )
3. Open Any dialog ( e.g. Format - Paragraph )

-> Toolbar is displayed on top of the dialog

reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 1 Michael Weghorn 2018-10-22 17:51:33 UTC
Reproduced with

Version: 6.2.0.0.alpha1+
Build ID: cd9aa5bc508244082b4baf4a3094875bf2c6f992
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded
Comment 2 Xisco Faulí 2018-12-21 12:28:52 UTC
Still reproducible in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Xisco Faulí 2018-12-21 12:32:15 UTC
Same problem if we launch the slideshow...
Comment 4 Katarina Behrens (Inactive) 2019-02-13 09:50:21 UTC
*** Bug 120792 has been marked as a duplicate of this bug. ***
Comment 5 Michael Weghorn 2019-02-13 17:15:24 UTC Comment hidden (obsolete)
Comment 6 Commit Notification 2019-02-13 17:25:51 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/dc32f930ede9df0d7c98fdef2d5bd787139dc7cf%5E%21

tdf#120787: fine-tune window flags w/ focus on floating toolbars

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Katarina Behrens (Inactive) 2019-02-19 09:44:56 UTC
Since nobody complained so far ...
Comment 8 Michael Weghorn 2019-02-19 12:40:00 UTC
Verified with

Version: 6.3.0.0.alpha0+
Build ID: 993b8a6667fb0ca58ec1145cc1f9529c34f3266c
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 9 Xisco Faulí 2019-03-12 12:31:03 UTC
Cherry-picked to 6-2 -> https://gerrit.libreoffice.org/#/c/69096/
Comment 10 Commit Notification 2019-03-12 20:13:44 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/42dd1f0ad75b5509ce2e1dbaec9944b0876603db%5E%21

tdf#120787: fine-tune window flags w/ focus on floating toolbars

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.